CVE-2021-29063

NameCVE-2021-29063
DescriptionA Regular Expression Denial of Service (ReDOS) vulnerability was discovered in Mpmath v1.0.0 when the mpmathify function is called.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs990576

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mpmath (PTS)stretch0.19-3vulnerable
buster1.1.0-1vulnerable
bullseye, sid1.2.1-1vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mpmathsource(unstable)(unfixed)990576

Notes

[bullseye] - mpmath <no-dsa> (Minor issue)
[buster] - mpmath <no-dsa> (Minor issue)
[stretch] - mpmath <no-dsa> (Minor issue)
https://github.com/yetingli/PoCs/blob/main/CVE-2021-29063/Mpmath.md
https://github.com/fredrik-johansson/mpmath/issues/548
https://github.com/fredrik-johansson/mpmath/commit/c811b37c65a4372a7ce613111d2a508c204f9833
https://github.com/fredrik-johansson/mpmath/commit/2865c7d12b2a077d420427ad187eca831a48bff4

Search for package or bug name: Reporting problems